metadata:
    name: stringbench
    format: "Lava-Test Test Definition 1.0"
    description: "Run stringbench command to benchmark the performance of
                  string relevant feature of bionic. In the feature this test
                  should be upstream to bionic-benchmarks.
                  The source can be viewed here:
                  https://android-git.linaro.org/git/platform/external/stringbench.git"
    maintainer:
        - yongqin.liu@linaro.org
        - chase.qi@linaro.org
    os:
        - android
    scope:
        - performance
    devices:
        - juno
        - hi6220-hikey

params:
    # Specify device serial no. when more than one device connected.
    ANDROID_SERIAL: ""
    # Specify timeout in seconds for wait_boot_completed
    BOOT_TIMEOUT: "300"

run:
    steps:
        - cd ./automated/android/stringbench
        - ./stringbench.sh -s "${ANDROID_SERIAL}" -t "${BOOT_TIMEOUT}"
        - ../../utils/send-to-lava.sh ./output/result.txt
